OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
Vrml

# Vrml_LOD Class Reference

defines a LOD (level of detailization) node of VRML specifying properties
of geometry and its appearance.
This group node is used to allow applications to switch between
various representations of objects automatically. The children of this
node typically represent the same object or objects at the varying
of Levels Of Detail (LOD), from highest detail to lowest.
The specified center point of the LOD is transformed by current
transformation into world space, and yhe distancefrom the transformed
center to the world-space eye point is calculated.
If thedistance is less than the first value in the ranges array,
than the first child of the LOD group is drawn. If between
the first and second values in the range array, the second child
is drawn, etc.
If there are N values in the range array, the LOD group should
have N+1 children.
Specifying too few children will result in the last child being
used repeatedly for the lowest lewels of detail; if too many children
are specified, the extra children w ll be ignored.
Each value in the ranges array should be greater than the previous
value, otherwise results are undefined.

`#include <Vrml_LOD.hxx>`

## Public Member Functions
Standard_EXPORT | Vrml_LOD ()
Standard_EXPORT | Vrml_LOD (const Handle(TColStd_HArray1OfReal)&aRange, const gp_Vec &aCenter)
Standard_EXPORT void | SetRange (const Handle(TColStd_HArray1OfReal)&aRange)
Standard_EXPORT Handle_TColStd_HArray1OfReal | Range () const
Standard_EXPORT void | SetCenter (const gp_Vec &aCenter)
Standard_EXPORT gp_Vec | Center () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TColStd_HArray1OfReal | myRange
gp_Vec | myCenter
Standard_Boolean | myRangeFlag

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_LOD::Vrml_LOD | ( |  | ) |

Standard_EXPORT Vrml_LOD::Vrml_LOD | ( | const Handle(TColStd_HArray1OfReal)& | aRange,
|  | const gp_Vec & | aCenter
| ) |

## Member Function Documentation

Standard_EXPORT gp_Vec Vrml_LOD::Center | ( |  | ) | const

Standard_EXPORT const Vrml_LOD::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_OStream& Vrml_LOD::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT Handle_TColStd_HArray1OfReal Vrml_LOD::Range | ( |  | ) | const

Standard_EXPORT void Vrml_LOD::SetCenter | ( | const gp_Vec & | aCenter | ) |

Standard_EXPORT void Vrml_LOD::SetRange | ( | const Handle(TColStd_HArray1OfReal)& | aRange | ) |

## Field Documentation

gp_Vec Vrml_LOD::myCenter`[private]`

Handle_TColStd_HArray1OfReal Vrml_LOD::myRange`[private]`

Standard_Boolean Vrml_LOD::myRangeFlag`[private]`

The documentation for this class was generated from the following file:

- Vrml_LOD.hxx